Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class LSException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.linuxsampler.lscp.LSException

All Implemented Interfaces:
  java.io.Serializable

    public class LSException

extends java.lang.Exception

Thrown to indicate that LinuxSampler has returned an error message.

See Also:
  Serialized Form

Constructor Summary
`LSException(int code, java.lang.String msg)` Creates a new instance of LSException with the specified error code and detail message.
`LSException(int code, java.lang.String msg, java.lang.String details)` Creates a new instance of LSException with the specified error code and detail message.

Method Summary
`int` | `getCode()` Gets the numeric unique identifier of the error.
`java.lang.String` | `getDetails()` Gets a detailed error report.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LSException

    public LSException(int code,
                       java.lang.String msg)

  Creates a new instance of LSException with the specified error code and detail message.

  Parameters:
    `code` - Specifies the error code.
    `msg` - Specifies the detail message.

### LSException

    public LSException(int code,
                       java.lang.String msg,
                       java.lang.String details)

  Creates a new instance of LSException with the specified error code and detail message.

  Parameters:
    `code` - Specifies the error code.
    `msg` - Specifies the detail message.

Method Detail

### getCode

    public int getCode()

  Gets the numeric unique identifier of the error.

  Returns:
    The numeric unique identifier of the error.

### getDetails

    public java.lang.String getDetails()

  Gets a detailed error report.

  Returns:
    A detailed error report or `null` if there is no such.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.